<?php

// API routes  for user
Route::prefix('{guard}/test')->group(function () {
    Route::get('user/form/{element}', 'UserAPIController@form');
    Route::resource('user', 'UserAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for tests
            Route::prefix('{guard}/test')->group(function () {
                Route::get('user/form/{element}', 'UserAPIController@form');
                Route::apiResource('user', 'UserAPIController');
            });
            // Public routes for tests
            Route::get('test/User', 'UserPublicController@getUser');
        }
    );
}

