<?php

namespace Litepci\Test\Repositories\Eloquent;

use Litepci\Test\Interfaces\UserRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class UserRepository extends BaseRepository implements UserRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepci.test.user.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepci.test.user.model.model');
    }
}
